{% extends "admin/media/change_form.html" %}
{% load thumbnailer %}

{% block field_sets %}
{% if change %}
<div class="related-object-info">
    <p>
        <a href="{{original.filename.url}}" target="_blank">
            {% thumbnail original.filename "360x300" as thumb %}
            <img src="{{thumb.url}}" width="{{thumb.width}}" alt="{{original.title}}" />
            {% endthumbnail %}
        </a>
    </p>

    <dl>
        <dt>File type:</dt>
        <dd>{{original.mimetype}}</dd>
        <dt>Created:</dt>
        <dd>{{original.created}}</dd>
        <dt>Modified:</dt>
        <dd>{{original.modified}}</dd>
        <dt>File size:</dt>
        <dd>{{original.filesize|filesizeformat}}</dd>
        <dt>Dimensions:</dt>
        <dd>{{original.width}} x {{original.height}}</dd>

        {% if related_objects  %}
        <dt>&nbsp;</dt>
        <dt>Related Items:</dt>
        <dt>
            <ul class="media-related-item-list">
                {% for r in related_objects %}
                <li>
                    {{r.opts.verbose_name | lower}}:
                    <a {% if r.admin_url %}href="{{r.admin_url}}"{% endif %}>{{r.object}}</a>
                </li>
                {% endfor %}
            </ul>
        </dt>
        {% endif %}
    </dl>
</div>
{% endif %}

{{block.super}}
{% endblock field_sets %}
